%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		xfce4-screensaver
Summary:	Screen saver and locker for Xfce4
Version:	4.18.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://git.xfce.org/apps/xfce4-screensaver/about/
Source0:	https://archive.xfce.org/src/apps/xfce4-screensaver/%{url_ver}/xfce4-screensaver-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: pam-devel
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64garcon-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel 
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xcrypt-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64xfce4util-devel 
BuildRequires: lib64xfconf-devel
BuildRequires: lib64xklavier-devel 

Obsoletes: xfce4-screensaver-doc

%description
xfce4-screensaver is a screen saver and locker that aims to have simple, sane,
secure defaults and be well integrated with the desktop.

xfce4-screensaver is a port of MATE Screensaver, itself a port of GNOME
Screensaver. It has been tightly integrated with the Xfce desktop, utilizing
Xfce libraries and the Xfconf configuration backend.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--with-console-kit \
	--enable-locking

%make_build

%install
rm -rf %buildroot
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_sysconfdir}/pam.d/xfce4-screensaver
%{_sysconfdir}/xdg/autostart/xfce4-screensaver.desktop
%{_sysconfdir}/xdg/menus/xfce4-screensavers.menu
%{_bindir}/xfce4-screensaver
%{_bindir}/xfce4-screensaver-command
%{_bindir}/xfce4-screensaver-configure
%{_bindir}/xfce4-screensaver-preferences
%{_libexecdir}/xfce4-screensaver-dialog
%{_libexecdir}/xfce4-screensaver-gl-helper
%dir %{_libexecdir}/xfce4-screensaver/
%{_libexecdir}/xfce4-screensaver/floaters
%{_libexecdir}/xfce4-screensaver/popsquares
%{_libexecdir}/xfce4-screensaver/slideshow
%{_datadir}/applications/screensavers/xfce-personal-slideshow.desktop
%{_datadir}/applications/screensavers/xfce-popsquares.desktop
%{_datadir}/applications/screensavers/xfce-floaters.desktop
%{_datadir}/applications/xfce4-screensaver-preferences.desktop
%{_datadir}/dbus-1/services/org.xfce.ScreenSaver.service
%{_datadir}/desktop-directories/xfce4-screensaver.directory
%{_mandir}/man1/xfce4-screensaver-command.1*
%{_mandir}/man1/xfce4-screensaver-preferences.1*
%{_mandir}/man1/xfce4-screensaver.1*
%{_datadir}/pixmaps/xfce-logo-white.svg
%{_iconsdir}/hicolor


%changelog
* Mon Mar 04 2024 tex - 4.18.3-1pclos2024
- new version

* Wed May 31 2023 tex - 4.18.2-1pclos2023
- new version

* Tue Mar 28 2023 tex - 4.18.1-1pclos2023
- new version

* Mon Mar 20 2023 tex - 4.18.0-1pclos2023
- new version

* Mon Jan 04 2021 tex - 4.16.0-1pclos2021
- new version 4.16.0
